Bug Hunting Session
Bug 56048 - FILEOPEN: LibreOffice cannot open .docx file in strict variant
Summary: FILEOPEN: LibreOffice cannot open .docx file in strict variant
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: highest major
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: OOXML-Import-Strict mab4.1
  Show dependency treegraph
 
Reported: 2012-10-16 21:44 UTC by Regina Henschel
Modified: 2016-10-25 21:56 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
File with dummy text to test import filter (12.69 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-10-16 21:44 UTC, Regina Henschel
Details
hackery starter patch (24.72 KB, patch)
2012-12-07 15:21 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2012-10-16 21:44:57 UTC
Created attachment 68649 [details]
File with dummy text to test import filter

The attached file was saved by the preview of Word 2013 in the "strict" variant. Try to open it. LibreOffice does not detect this file format, but opens the dialog to choose a file type. If you select "Office Open XML" the file cannot be opened.
Comment 1 Roman Eisele 2012-10-17 11:12:39 UTC
Comment on attachment 68649 [details]
File with dummy text to test import filter

Fixed MIME type.
Comment 2 Roman Eisele 2012-10-17 11:18:38 UTC
REPRODUCIBLE also on Mac OS X (10.6.8, Intel) with LibreOffice 3.6.3.1 (Build ID: f8fce0b).

If I select “Office Open XML Text”, as appropriate, LibreOffice reports a “General Error. General input/output error”. This is poor: even if the file was corrupted etc., a more specific error message is necessary.

Adapted Platform and Summary fields.
Comment 3 Roman Eisele 2012-10-17 11:25:14 UTC
Reproducible since LibreOffice 3.3.0 (also in 3.4.0, 3.5.0).
Therefore adapted Version field.
Comment 4 Philip Smith 2012-12-05 13:30:54 UTC
REPRODUCIBLE with libreoffice3.6-writer-3.6.4.3-3.x86_64 rpm on Fedora Linux.
Independently created another .docx strict file in MS Office Pro Plus 2013 64bit and got "General input/output error" popup in LibreOffice.
Comment 5 Caolán McNamara 2012-12-07 15:21:54 UTC
Created attachment 71133 [details]
hackery starter patch

This patch allows us to detect that variant of the format and have a stab at importing it afterwards without throwing errors.

Nothing actually gets imported though, so clearly needs much more work (if this approach even makes a lot of sense)
Comment 6 Roman Eisele 2012-12-18 08:25:42 UTC
Moved to “3.6 MAB list” (it’s an old bug, so let’s add it to the oldest open MAB list; 3.5 is about to be closed, so the 3.6 MAB list is appropriate).
Comment 7 tommy27 2013-07-30 20:00:29 UTC
still problematic with recent LibO releases.

if you try opening test file with LibO 4.0.4 a "select filter" popup window shows up.

if you try opening it with LibO 4.1.0 a warning saying the file is damaged shows up. LinbO offers to repair that file but fails.
Comment 8 tommy27 2013-07-30 20:26:02 UTC
moving it to mab4.0 vs. 3.6 because 3.6 has reached EOL so we are in the process of closing the meta bug.
Comment 9 Björn Michaelsen 2014-01-17 09:58:46 UTC Comment hidden (obsolete)
Comment 10 stragu 2014-02-12 08:23:57 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 11 Jorendc 2014-03-19 22:27:34 UTC
This bug is fixed, thanks to work of Miklos related to this topic (see: http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9bf15e19ec823a58ee32bf94da81f3bb1a147bc and other commits in the date-range around 2014-03-07)

Document is opened as it should, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 90dd4320de6ace24e464979630a2c9fbab35f64b
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-19_00:22:53

Kind regards,
Joren
Comment 12 Kevin Suo 2014-03-20 10:17:27 UTC
By the way, I see in the whiteboard "target:4.3.0", 
but I tested with
Version: 4.2.3.1
Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13
and opened the file with no problem